Knowledge
Unassign knowledge
DELETE
Stop an agent from using a knowledge source (the source is kept). Owner/admin.
bearer agents:writeheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: agents:write
agentId*stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64sourceId*stringKnowledge source id. Never invent ids – list resources first.
Length
1 <= length <= 64Success
application/json- response
agentId*stringsourceId*stringassigned*booleancurl -X DELETE "https://example.com/agents/string/knowledge-sources/string"{ "agentId": "string", "sourceId": "string", "assigned": true}